
QGIS Application - Bug report #19823

crash after topology check

2018-09-11 08:56 PM - Torsten Hase

Status: Closed

Priority: High

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27647

Description

User Feedback

I mad some topology check and editing of postgis tables. QGIS crashed after closing.

Report Details

Crash ID: 7d5efd3afc1bfd58a33dd40b4219908af7eab42b

Stack Trace

QgsOrganizeTableColumnsDialog::QgsOrganizeTableColumnsDialog :

QgsRubberBand::QgsRubberBand :

QgsRubberBand::asGeometry :

QgsRubberBand::reset :

version :

QMetaObject::activate :

QDockWidget::visibilityChanged :

QDockWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::hideChildren :

QWidgetPrivate::hide_helper :

QWidget::setVisible :

QWidgetPrivate::close_helper :

QWidget::~QWidget :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::append :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2018-09-11 08:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

Can you replicate 100% of times while doing the same operations? Please add step by step instructions on how replicate, possibly attaching the necessary

data.

#2 - 2018-09-11 08:57 PM - Giovanni Manghi

Also try with no 3rd party plugins or even better on new/clean profile.

#3 - 2018-09-23 02:46 PM - Jürgen Fischer

- Subject changed from gis crashed to crash after topology check

- Description updated

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2018-12-24 09:24 AM - Alexander Bruy

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closed for the lack of feedback. Please reopen if necessary.
